X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

what plugins do I need to have?

Posted

I got a message telling me to manage my plug-ins. I went to "tools"/"add-ons" and got a list of "shaded" plug ins. What does that mean AND what plug-ins do I need?

Additional System Details

Installed Plug-ins

  • Adobe PDF Plug-In For Firefox and Netscape 10.0.1
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.15) Gecko/20110303 Firefox/3.6.15

More Information

the-edmeister
  • Top 10 Contributor
  • Moderator
3193 solutions 24375 answers

The plugins that are "shaded" are not enabled and won't work.

Any idea of where that "manage plugins" came from?
That isn't a message from Firefox that I ever heard of before.

cor-el
  • Top 10 Contributor
  • Moderator
10737 solutions 96600 answers

Helpful Reply

If a plugin is disabled then you get a message asking to enable that plugin that brings you to the Tools > Add-ons > Plugins window. If you want to use that plugin then you can click the Enabled button, no restart needed.

You can force a rescan and enable all plugins if you delete the file pluginreg.dat in the Firefox Profile Folder.

  • Help > Troubleshooting Information > Profile Directory: Open Containing Folder

Helpful Reply

When you write that You can force a rescan and enable all plugins , what does that mean?

Restating my question, how was I to know which plug in was needed. I enabled all but I don't know if that is a good practice. There is one from Microsoft that I have read is questionable.

lorab 0 solutions 3 answers

Unfortunately all these answers are dealing with the shaded plug in's, I am looking for the answer to his other question.... WHICH plug in's should I have on my FF, what ones do I need to have installed?

cor-el
  • Top 10 Contributor
  • Moderator
10737 solutions 96600 answers

You only need to install plugins that are used on pages that you visit and then only if you need all features of that page.

See https://support.mozilla.com/kb/Popular+plugins